%define fontname    un-extra 
%define fontdir     %{_datadir}/fonts/%{fontname}/
%define fontconfdir %{_sysconfdir}/fonts/conf.d/

%define archivename un-fonts-extra
%define alphatag    080608

%define common_desc_en \
The UN set of Korean TrueType fonts is derived from the HLaTeX Type1 fonts \
made by Koaunghi Un in 1998. They were converted to TrueType with \
FontForge(PfaEdit) by Won-kyu Park in 2003. \
The Un Extra set is composed of: \
\
- UnPen, UnPenheulim: script \
- UnTaza: typewriter style \
- UnBom: decorative \
- UnShinmun \
- UnYetgul: old Korean printing style \
- UnJamoSora, UnJamoNovel, UnJamoDotum, UnJamoBatang \
- UnVada \
- UnPilgia: script \

%define common_desc_ko \
은글꼴 시리즈는 HLaTex개발자이신 은광희님이 1998년에 개발한 폰트입니다. \
2003년에 박원규님이 FontForge를 이용하여 트루타입폰트로 변환했습니다. \
은글꼴은 가장 일반적인 글꼴들입니다. \
\
Extra 모음 \
- 은펜, 은펜흘림: script \
- 은타자: typewriter style \
- 은봄: decorative \
- 은신문 \
- 은옛글: old Korean printing style \
- 은자모소라, 은자모노벨, 은자모돋음, 은자모바탕 \
- 은바다 \
- 은필기a: script \ 

Name:        %{fontname}-fonts
Version:     1.0.2
Release:     0.8.%{alphatag}%{?dist}
Summary:     Un Extra family of Korean TrueType fonts
Summary(ko): 한글 은글꼴 Extra 모음

Group:     User Interface/X
License:   GPLv2
URL:       http://kldp.net/projects/unfonts/
Source0:   http://kldp.net/frs/download.php/4696/%{archivename}-%{version}-%{alphatag}.tar.gz
Source1:   %{name}-bom-fontconfig.conf
Source2:   %{name}-jamobatang-fontconfig.conf
Source3:   %{name}-jamodotum-fontconfig.conf
Source4:   %{name}-jamonovel-fontconfig.conf
Source5:   %{name}-jamosora-fontconfig.conf
Source6:   %{name}-pen-fontconfig.conf
Source7:   %{name}-penheulim-fontconfig.conf
Source8:   %{name}-pilgia-fontconfig.conf
Source9:   %{name}-shinmun-fontconfig.conf
Source10:  %{name}-taza-fontconfig.conf
Source11:  %{name}-vada-fontconfig.conf
Source12:  %{name}-yetgul-fontconfig.conf
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch: noarch


%define un_subpkg() \
%package %1 \
Summary:     Un Extra fonts - %(echo %2) \
Summary(ko): 한글 은글꼴 Extra 모음 - %(echo %3) \
Group:       User Interface/X \
\
\
%post %1 \
if [ -x %{_bindir}/fc-cache ]; then \
    %{_bindir}/fc-cache %{fontdir} || : \
fi \
\
\
%postun %1 \
if [ $1 -eq 0 -a -x %{_bindir}/fc-cache ] ; then \
    %{_bindir}/fc-cache %{fontdir} || : \
fi\
\
\
%files %1 \
%defattr(0644,root,root,0755) \
%doc COPYING README \
\
%config(noreplace) %{fontconfdir}66-%{fontname}-%(echo %1).conf \
\
%dir %{fontdir} \
%{fontdir}%(echo %2)*.ttf

%un_subpkg bom UnBom 은봄
%un_subpkg jamobatang UnJamoBatang 은자모바탕
%un_subpkg jamodotum UnJamoDotum 은자모돋음
%un_subpkg jamonovel UnJamoNovel 은자모노벨
%un_subpkg jamosora UnJamoSora 은자모소라
%un_subpkg pen UnPen 은펜
%un_subpkg penheulim UnPenheulim 은펜흘림
%un_subpkg pilgia UnPilgia 은필기a
%un_subpkg shinmun UnShinmun 은신문
%un_subpkg taza UnTaza 은타자
%un_subpkg vada UnVada 은바다
%un_subpkg yetgul UnYetgul 은옛글

%description
%common_desc_en

%description -l ko
%common_desc_ko

%description bom
%common_desc_en

This package includes UnBom, a decorative font.

%description -l ko bom
%common_desc_ko

이 패키지에는 은봄글꼴이 포함되어 있습니다.

%description jamobatang
%common_desc_en

This package includes the UnJamoBatang font.

%description -l ko jamobatang
%common_desc_ko

이 패키지에는 은자모바탕글꼴이 포함되어 있습니다.

%description jamodotum
%common_desc_en

This package includes the UNJamoDotum font.

%description -l ko jamodotum
%common_desc_ko

이 패키지에는 은자모돋음글꼴이 포함되어 있습니다.

%description jamonovel
%common_desc_en

This package includes the UNJamoNovel font.

%description -l ko jamonovel
%common_desc_ko
 
이 패키지에는 은자모노벨글꼴이 포함되어 있습니다.

%description jamosora
%common_desc_en

This package includes the UNJamoSora font.

%description -l ko jamosora
%common_desc_ko

이 패키지에는 은자모소라글꼴이 포함되어 있습니다.

%description pen
%common_desc_en

This package includes UnPen, a script font.

%description -l ko pen
%common_desc_ko

이 패키지에는 은펜글꼴이 포함되어 있습니다.

%description penheulim
%common_desc_en

This package includes UnPenheulim, a script font.

%description -l ko penheulim
%common_desc_ko

이 패키지에는 은펜흘림글꼴이 포함되어 있습니다.

%description pilgia
%common_desc_en

This package includes UnPilgia, a script font.

%description -l ko pilgia
%common_desc_ko

이 패키지에는 은필기a글꼴이 포함되어 있습니다.

%description shinmun
%common_desc_en

This package includes the UnShinmun font.

%description -l ko shinmun
%common_desc_ko

이 패키지에는 은신문글꼴이 포함되어 있습니다.

%description taza
%common_desc_en

This package includes UnTaza, a typewriter font.

%description -l ko taza
%common_desc_ko

이 패키지에는 은타자글꼴이 포함되어 있습니다.

%description vada
%common_desc_en

This package includes the UnVada font.

%description -l ko vada
%common_desc_ko

이 패키지에는 은바다글꼴이 포함되어 있습니다.

%description yetgul
%common_desc_en

This package includes UnYetgul, an old Korean printing font.

%description -l ko yetgul
%common_desc_ko

이 패키지에는 은옛글글꼴이 포함되어 있습니다.


%prep
%setup -q -n un-fonts


%build


%install
rm -rf %{buildroot}

install -dm 0755 -d %{buildroot}%{fontdir}
install -pm 0644 -p *.ttf %{buildroot}%{fontdir}

install -dm 0755 -d %{buildroot}%{fontconfdir}
install -pm 0644 -p %{SOURCE1}\
        %{buildroot}%{fontconfdir}66-%{fontname}-bom.conf
install -pm 0644 -p %{SOURCE2}\
        %{buildroot}%{fontconfdir}66-%{fontname}-jamobatang.conf
install -pm 0644 -p %{SOURCE3}\
        %{buildroot}%{fontconfdir}66-%{fontname}-jamodotum.conf
install -pm 0644 -p %{SOURCE4}\
        %{buildroot}%{fontconfdir}66-%{fontname}-jamonovel.conf
install -pm 0644 -p %{SOURCE5}\
        %{buildroot}%{fontconfdir}66-%{fontname}-jamosora.conf
install -pm 0644 -p %{SOURCE6}\
        %{buildroot}%{fontconfdir}66-%{fontname}-pen.conf
install -pm 0644 -p %{SOURCE7}\
        %{buildroot}%{fontconfdir}66-%{fontname}-penheulim.conf
install -pm 0644 -p %{SOURCE8}\
        %{buildroot}%{fontconfdir}66-%{fontname}-pilgia.conf
install -pm 0644 -p %{SOURCE9}\
        %{buildroot}%{fontconfdir}66-%{fontname}-shinmun.conf
install -pm 0644 -p %{SOURCE10}\
        %{buildroot}%{fontconfdir}66-%{fontname}-taza.conf
install -pm 0644 -p %{SOURCE11}\
        %{buildroot}%{fontconfdir}66-%{fontname}-vada.conf
install -pm 0644 -p %{SOURCE12}\
        %{buildroot}%{fontconfdir}66-%{fontname}-yetgul.conf


%clean
rm -rf %{buildroot}


%changelog
* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-0.8.080608
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Oct 13 2008 Dennis Jang <smallvil@get9.net> - 1.0.2-0.7.080608
- fixed subpackage description and fontconfig

* Sun Oct 12 2008 Nicolas Mailhot <nicolas dot mailhot at laposte dot net> - 1.0.2-0.6.080608
- complete the subpackages
- revert subpackage description macroization, it's not worth it

* Wed Oct 08 2008 Dennis Jang <smallvil@get9.net> - 1.0.2-0.5.080608
- add subpackages with a macro
- add description

* Mon Jul 07 2008 Dennis Jang <smallvil@get9.net> - 1.0.2-0.4.080608
- Refined .spec literal

* Sun Jul 06 2008 Dennis Jang <smallvil@get9.net> - 1.0.2-0.3.080608
- Added or Changed a Summary and Description.
- Removed nil item.
- Refined versioning contents.
- Renamed from un-fonts-extra.spec

* Thu Jul 03 2008 Dennis Jang <smallvil@get9.net> - 1.0.2-0.2.080608
- Refined .spec literal, license, versioning contents.

* Sat Jun 28 2008 Dennis Jang <smallvil@get9.net> - 1.0.2-0.1.080608
- Initial release.
